## gdata 2.0.7

=== DESCRIPTION ===
Package: gdata
Title: Various functions to manipulate data.
Description: Various functions to manipulate data.
Depends: R (>= 1.9.0), gtools, stats
Version: 2.0.7
Date: 2005-05-25
Author: Gregory R. Warnes. Includes R source code and documentation
        contributed by
           - Ben Bolker,
           - Lodewijk Bonebakker,
           - Bendix Carstensen,
           - R. Gentleman,
           - Kjetil Halvorsen,
           - W. Huber
           - Nitin Jain,
           - Andy Liaw,
           - Don MacQueen,
           - M. Maechler,
           - Arni Magnusson,
           - Jim Rogers,
           - Marc Schwartz,
           - William Venables,
	   - Ian Wilson,
        and others (let me know if I missed you!), as well as the Perl
        modules
           - "IO-stringy" (copyright 1996 by Eryq, and 1999,2001 by
             ZeeGee Software Inc),
           - OLE::Storage_Lite (copyright 2000,2001 by Kawai Takanori),
           - Spreadsheet::ParseExcel (copyright 2000-2002 by Kawai
             Takanori )
        under the terms of the GNU General Public Licence (GPL).
Maintainer: Nitin Jain <nitin.jain@pfizer.com>
License: GPL (version 2 or later)
Packaged: Wed May 25 17:50:25 2005; jainn02

## gdata 2.0.8

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 1.9.0)
Suggests: gtools
Version: 2.0.8
Date: 2005-08-31
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Nitin Jain <nitin.jain@pfizer.com>
License: GPL (version 2 or later)
Packaged: Tue Sep  6 11:31:26 2005; jainn02

## gdata 2.1.1

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 1.9.0)
Imports: gtools
Version: 2.1.1
Date: 2005-10-27
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Nitin Jain <nitin.jain@pfizer.com>
License: GPL (version 2 or later)
Packaged: Thu Oct 27 14:41:23 2005; warneg

## gdata 2.1.2

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 1.9.0)
Imports: gtools
Version: 2.1.2
Date: 2005-10-27
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker and Thomas Lumley
Maintainer: Nitin Jain <nitin.jain@pfizer.com>
License: GPL (version 2 or later)
Packaged: Tue Dec 13 11:37:43 2005; jainn02

## gdata 2.2.0

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 1.9.0)
Imports: gtools
Version: 2.2.0
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker, Gregor Gorjanc, and Thomas Lumley
Maintainer: Gregory Warnes <gregory_warnes@urmc.rochester.edu>
License: GPL (version 2 or later)
Packaged: Thu Aug  3 19:50:00 2006; warnes

## gdata 2.3.0

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 1.9.0)
Imports: gtools
Version: 2.3.0
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker, Gregor Gorjanc, and Thomas Lumley
Maintainer: Gregory Warnes <gregory_warnes@urmc.rochester.edu>
License: GPL (version 2 or later)
Packaged: Tue Sep 19 17:09:24 2006; warnes

## gdata 2.3.1

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.4.0)
Imports: gtools
Version: 2.3.1
Author: Gregory R. Warnes. Includes R source code and/or documentation
        contributed by Ben Bolker, Gregor Gorjanc, and Thomas Lumley
Maintainer: Gregory Warnes <gregory_warnes@urmc.rochester.edu>
License: GPL (version 2 or later)
Packaged: Fri Nov 10 19:19:23 2006; warnes

=== inst/unitTests/Makefile ===
PKG=gdata
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

## gdata 2.4.0

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.4.0)
Imports: gtools
Version: 2.4.0
Date: 2008-01-30
Author: Gregory R. Warnes and Gregor Gorjanc. Includes R source code
	and/or documentation  contributed by Ben Bolker and Thomas Lumley.
Maintainer: Gregory Warnes <gregory_warnes@urmc.rochester.edu>
License: GPL-2
Packaged: Wed Jan 30 14:56:32 2008; warnes

## gdata 2.4.1

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.4.0)
Imports: gtools
Version: 2.4.1
Date: 2008-03-24
Author: Gregory R. Warnes and Gregor Gorjanc. Includes R source code
	and/or documentation  contributed by Ben Bolker and Thomas Lumley.
Maintainer: Gregory Warnes <gregory_warnes@urmc.rochester.edu>
License: GPL-2
Packaged: Mon Mar 24 21:02:21 2008; warnes

## gdata 2.4.2

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.4.0)
Imports: gtools
Version: 2.4.2
Date: 2008-05-12
Author: Gregory R. Warnes and Gregor Gorjanc. Includes R source code
	and/or documentation  contributed by Ben Bolker and Thomas Lumley.
Maintainer: Gregory Warnes <gregory_warnes@urmc.rochester.edu>
License: GPL-2
Packaged: Mon May 12 23:20:22 2008; warnes

## gdata 2.6.0

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.6.0)
Imports: gtools
Version: 2.6.0
Date: 2009-07-15
Author: Gregory R. Warnes and Gregor Gorjanc. Includes R source code
        and/or documentation contributed by Ben Bolker and Thomas
        Lumley.
Maintainer: Gregory Warnes <greg@random-technologies-llc.com>
License: GPL-2
Packaged: 2009-08-05 01:51:40 UTC; warnes
Repository: CRAN
Date/Publication: 2009-08-05 05:17:48

## gdata 2.6.1

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.6.0)
Imports: gtools
Version: 2.6.1
Date: 2009-08-19
Author: Gregory R. Warnes and Gregor Gorjanc. Includes R source code
        and/or documentation contributed by Ben Bolker and Thomas
        Lumley.
Maintainer: Gregory Warnes <greg@random-technologies-llc.com>
License: GPL-2
Packaged: 2009-08-20 15:01:23 UTC; warnes
Repository: CRAN
Date/Publication: 2009-08-20 15:13:30

## gdata 2.7.0

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.6.0)
Imports: gtools
Version: 2.7.0
Date: 2010-01-25
Author: Gregory R. Warnes, with contributions from Ben Bolker, Gregor
        Gorjanc, Gabor Grothendieck, Ales Korosec, Thomas Lumley, Don
        MacQueen, Arni Magnusson, Jim Rogers, and others
Maintainer: Gregory Warnes <greg@random-technologies-llc.com>
License: GPL-2
Packaged: 2010-01-26 04:13:14 UTC; warnes
Repository: CRAN
Date/Publication: 2010-01-26 08:26:24

=== src/Makefile ===
TARGET=Compress-Raw-Zlib-2.024

default:
	tar xzf ${TARGET}.tar.gz
	cd ${TARGET} ; \
	perl Makefile.PL PREFIX=${PWD}/../inst/perl LIB=${PWD}/../inst/perl ; \
	make; \
	make install
	#
	make clean

clean:
	rm -rf ${TARGET}
	rm -rf ../inst/perl/share

distclean:
	rm -rf ../inst/perl/darwin-2level

## gdata 2.7.1

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.6.0)
Imports: gtools
Version: 2.7.1
Date: 2010-01-27
Author: Gregory R. Warnes, with contributions from Ben Bolker, Gregor
        Gorjanc, Gabor Grothendieck, Ales Korosec, Thomas Lumley, Don
        MacQueen, Arni Magnusson, Jim Rogers, and others
Maintainer: Gregory Warnes <greg@random-technologies-llc.com>
License: GPL-2
Packaged: 2010-01-28 20:02:26 UTC; warnes
Repository: CRAN
Date/Publication: 2010-01-29 07:52:54

=== src/Makefile ===
--- 
+++ 
@@ -15,3 +15,4 @@
 
 distclean:
 	rm -rf ../inst/perl/darwin-2level
+	rm -rf ../inst/perl/MSWin32-x86-multi-thread

## gdata 2.7.2

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.6.0)
Imports: gtools
Version: 2.7.2
Date: 2010-04-02
Author: Gregory R. Warnes, with contributions from Ben Bolker, Gregor
        Gorjanc, Gabor Grothendieck, Ales Korosec, Thomas Lumley, Don
        MacQueen, Arni Magnusson, Jim Rogers, and others
Maintainer: Gregory Warnes <greg@warnes.net>
License: GPL-2
Packaged: 2010-05-02 13:56:54 UTC; warnes
Repository: CRAN
Date/Publication: 2010-05-02 17:25:52

## gdata 2.8.0

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.6.0)
Imports: gtools
Version: 2.8.0
Date: 2010-04-03
Author: Gregory R. Warnes, with contributions from Ben Bolker, Gregor
        Gorjanc, Gabor Grothendieck, Ales Korosec, Thomas Lumley, Don
        MacQueen, Arni Magnusson, Jim Rogers, and others
Maintainer: Gregory Warnes <greg@warnes.net>
License: GPL-2
Packaged: 2010-05-03 16:26:31 UTC; warnes
Repository: CRAN
Date/Publication: 2010-05-03 18:58:01

## gdata 2.8.1

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.6.0)
Imports: gtools
Version: 2.8.1
Date: 2010-11-12
Author: Gregory R. Warnes, with contributions from Ben Bolker, Gregor
        Gorjanc, Gabor Grothendieck, Ales Korosec, Thomas Lumley, Don
        MacQueen, Arni Magnusson, Jim Rogers, and others
Maintainer: Gregory Warnes <greg@warnes.net>
License: GPL-2
Packaged: 2010-11-12 19:20:23 UTC; warnes
Repository: CRAN
Date/Publication: 2010-11-13 15:19:27

## gdata 2.8.2

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.6.0)
Imports: gtools
Version: 2.8.2
Date: 2011-04-15
Author: Gregory R. Warnes, with contributions from Ben Bolker, Gregor
        Gorjanc, Gabor Grothendieck, Ales Korosec, Thomas Lumley, Don
        MacQueen, Arni Magnusson, Jim Rogers, and others
Maintainer: Gregory Warnes <greg@warnes.net>
License: GPL-2
Packaged: 2011-04-16 17:04:20 UTC; warnes
Repository: CRAN
Date/Publication: 2012-06-06 13:48:42

## gdata 2.10.0

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.6.0)
Imports: gtools
Version: 2.10.0
Date: 2012-06-05
Author: Gregory R. Warnes, with contributions from Ben Bolker, Gregor
        Gorjanc, Gabor Grothendieck, Ales Korosec, Thomas Lumley, Don
        MacQueen, Arni Magnusson, Jim Rogers, and others
Maintainer: Gregory Warnes <greg@warnes.net>
License: GPL-2
Packaged: 2012-06-06 02:04:36 UTC; warnegr1
Repository: CRAN
Date/Publication: 2012-06-06 04:26:52

## gdata 2.10.5

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.13.0)
Imports: gtools
Version: 2.10.5
Date: 2012-06-08
Author: Gregory R. Warnes, with contributions from Ben Bolker, Gregor
        Gorjanc, Gabor Grothendieck, Ales Korosec, Thomas Lumley, Don
        MacQueen, Arni Magnusson, Jim Rogers, and others
Maintainer: Gregory Warnes <greg@warnes.net>
License: GPL-2
Packaged: 2012-06-08 22:05:12 UTC; warnegr1
Repository: CRAN
Date/Publication: 2012-06-09 10:18:20

## gdata 2.10.6

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.13.0)
Imports: gtools
Version: 2.10.6
Date: 2012-06-08
Author: Gregory R. Warnes, with contributions from Ben Bolker, Gregor
        Gorjanc, Gabor Grothendieck, Ales Korosec, Thomas Lumley, Don
        MacQueen, Arni Magnusson, Jim Rogers, and others
Maintainer: Gregory Warnes <greg@warnes.net>
License: GPL-2
Packaged: 2012-06-13 01:10:58 UTC; warnegr1
Repository: CRAN
Date/Publication: 2012-06-13 05:44:40

## gdata 2.11.0

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.13.0)
SystemRequirements: perl
Imports: gtools
Version: 2.11.0
Date: 2012-06-08
Author: Gregory R. Warnes, with contributions from Ben Bolker, Gregor
        Gorjanc, Gabor Grothendieck, Ales Korosec, Thomas Lumley, Don
        MacQueen, Arni Magnusson, Jim Rogers, and others
Maintainer: Gregory Warnes <greg@warnes.net>
License: GPL-2
Packaged: 2012-06-18 20:32:37 UTC; warnegr1
Repository: CRAN
Date/Publication: 2012-06-20 05:38:45

## gdata 2.12.0

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.13.0)
SystemRequirements: perl
Imports: gtools
Version: 2.12.0
Date: 2012-10-12
Author: Gregory R. Warnes, with contributions from Ben Bolker, Gregor
        Gorjanc, Gabor Grothendieck, Ales Korosec, Thomas Lumley, Don
        MacQueen, Arni Magnusson, Jim Rogers, and others
Maintainer: Gregory Warnes <greg@warnes.net>
License: GPL-2
Packaged: 2012-09-12 17:41:01 UTC; warnegr1
Repository: CRAN
Date/Publication: 2012-09-12 18:32:34

## gdata 2.12.0.1

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.13.0)
SystemRequirements: perl
Imports: gtools
Version: 2.12.0.1
Date: 2012-10-12
Author: Gregory R. Warnes, with contributions from Ben Bolker, Gregor
        Gorjanc, Gabor Grothendieck, Ales Korosec, Thomas Lumley, Don
        MacQueen, Arni Magnusson, Jim Rogers, and others
Maintainer: Gregory Warnes <greg@warnes.net>
License: GPL-2
Packaged: 2013-04-02 08:50:32 UTC; ripley
Repository: CRAN
Date/Publication: 2013-04-02 10:52:26
NeedsCompilation: no

## gdata 2.12.0.2

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.13.0)
SystemRequirements: perl
Imports: gtools
Version: 2.12.0.2
Date: 2012-10-12
Author: Gregory R. Warnes, with contributions from Ben Bolker, Gregor
        Gorjanc, Gabor Grothendieck, Ales Korosec, Thomas Lumley, Don
        MacQueen, Arni Magnusson, Jim Rogers, and others
Maintainer: Gregory Warnes <greg@warnes.net>
License: GPL-2
Packaged: 2013-04-05 12:19:55 UTC; ripley
Repository: CRAN
Date/Publication: 2013-04-05 15:54:45
NeedsCompilation: no

## gdata 2.13.2

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.13.0)
SystemRequirements: perl
Imports: gtools
Version: 2.13.2
Date: 2013-06-28
Author: Gregory R. Warnes, Ben Bolker, Gregor Gorjanc, Gabor
        Grothendieck, Ales Korosec, Thomas Lumley, Don MacQueen, Arni
        Magnusson, Jim Rogers, and others
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: GPL-2
NeedsCompilation: no
Packaged: 2013-07-01 21:10:12 UTC; warnes
Repository: CRAN
Date/Publication: 2013-07-02 07:00:38

## gdata 2.13.3

=== DESCRIPTION ===
Package: gdata
Title: Various R programming tools for data manipulation
Description: Various R programming tools for data manipulation
Depends: R (>= 2.13.0)
SystemRequirements: perl
Imports: gtools
Version: 2.13.3
Date: 2014-04-04
Author: Gregory R. Warnes, Ben Bolker, Gregor Gorjanc, Gabor
        Grothendieck, Ales Korosec, Thomas Lumley, Don MacQueen, Arni
        Magnusson, Jim Rogers, and others
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: GPL-2
NeedsCompilation: no
Suggests: RUnit
Packaged: 2014-04-05 21:08:58 UTC; warnes
Repository: CRAN
Date/Publication: 2014-04-06 08:00:48

## gdata 2.16.1

=== DESCRIPTION ===
Package: gdata
Title: Various R Programming Tools for Data Manipulation
Description: Various R programming tools for data manipulation, including:
   - medical unit conversions ('ConvertMedUnits', 'MedUnits'),
   - combining objects ('bindData', 'cbindX', 'combine', 'interleave'),
   - character vector operations ('centerText', 'startsWith', 'trim'),
   - factor manipulation ('levels', 'reorder.factor', 'mapLevels'),
   - obtaining information about R objects ('object.size', 'elem', 'env',
     'humanReadable', 'is.what', 'll', 'keep', 'ls.funs',
     'Args','nPairs', 'nobs'),
   - manipulating MS-Excel formatted files ('read.xls',
     'installXLSXsupport', 'sheetCount', 'xlsFormats'),
   - generating fixed-width format files ('write.fwf'),
   - extricating components of date & time objects ('getYear', 'getMonth',
     'getDay', 'getHour', 'getMin', 'getSec'),
   - operations on columns of data frames  ('matchcols', 'rename.vars'),
   - matrix operations ('unmatrix', 'upperTriangle', 'lowerTriangle'),
   - operations on vectors ('case', 'unknownToNA', 'duplicated2', 'trimSum'),
   - operations on data frames ('frameApply', 'wideByFactor'),
   - value of last evaluated expression ('ans'), and
   - wrapper for 'sample' that ensures consistent behavior for both
     scalar and vector arguments ('resample').
Depends: R (>= 2.3.0)
SystemRequirements: perl (>= 5.10.0)
Imports: gtools
Version: 2.16.1
Date: 2015-04-28
Author: Gregory R. Warnes, Ben Bolker, Gregor Gorjanc, Gabor
        Grothendieck, Ales Korosec, Thomas Lumley, Don MacQueen, Arni
        Magnusson, Jim Rogers, and others
Maintainer: Gregory R. Warnes <greg@warnes.net>
License: GPL-2
NeedsCompilation: no
Suggests: RUnit
Packaged: 2015-04-29 15:32:39 UTC; warnes
Repository: CRAN
Date/Publication: 2015-05-01 15:26:32

## gdata 2.17.0

=== DESCRIPTION ===
--- 
+++ 
@@ -22,9 +22,9 @@
      scalar and vector arguments ('resample').
 Depends: R (>= 2.3.0)
 SystemRequirements: perl (>= 5.10.0)
-Imports: gtools
-Version: 2.16.1
-Date: 2015-04-28
+Imports: gtools, stats, methods, utils
+Version: 2.17.0
+Date: 2015-07-02
 Author: Gregory R. Warnes, Ben Bolker, Gregor Gorjanc, Gabor
         Grothendieck, Ales Korosec, Thomas Lumley, Don MacQueen, Arni
         Magnusson, Jim Rogers, and others
@@ -32,6 +32,6 @@
 License: GPL-2
 NeedsCompilation: no
 Suggests: RUnit
-Packaged: 2015-04-29 15:32:39 UTC; warnes
+Packaged: 2015-07-03 23:13:13 UTC; warnes
 Repository: CRAN
-Date/Publication: 2015-05-01 15:26:32
+Date/Publication: 2015-07-04 09:51:58

=== tests/unitTests/Makefile ===
TOP=../..
PKG=${shell cd ${TOP};pwd}
SUITE=runRUnitTests.R
R=R

test: # Run unit tests
	${R} --vanilla --slave < ${SUITE}

all: inst test

echo: # Echo env. variables
	@echo "Package folder: ${PKG}"
	@echo "R binary: ${R}"

help: # Help
	@echo -e '\nTarget: Dependency # Description'; \
	echo '=================================================='; \
	egrep '^[[:alnum:].+_()%]*:' ./Makefile

## gdata 2.18.0

=== DESCRIPTION ===
--- 
+++ 
@@ -23,8 +23,8 @@
 Depends: R (>= 2.3.0)
 SystemRequirements: perl (>= 5.10.0)
 Imports: gtools, stats, methods, utils
-Version: 2.17.0
-Date: 2015-07-02
+Version: 2.18.0
+Date: 2017-06-05
 Author: Gregory R. Warnes, Ben Bolker, Gregor Gorjanc, Gabor
         Grothendieck, Ales Korosec, Thomas Lumley, Don MacQueen, Arni
         Magnusson, Jim Rogers, and others
@@ -32,6 +32,6 @@
 License: GPL-2
 NeedsCompilation: no
 Suggests: RUnit
-Packaged: 2015-07-03 23:13:13 UTC; warnes
+Packaged: 2017-06-05 21:27:42 UTC; gwarnes
 Repository: CRAN
-Date/Publication: 2015-07-04 09:51:58
+Date/Publication: 2017-06-06 15:34:19 UTC

=== debian/changelog ===
gdata (2.18.0-3build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:03:51 +0000

gdata (2.18.0-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 May 2020 06:44:38 -0500

gdata (2.18.0-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 03 Jun 2018 07:53:21 -0500

gdata (2.18.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for r-api-3.4 transition

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Sep 2017 21:35:40 +0200

gdata (2.18.0-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Jun 2017 12:53:32 -0500

gdata (2.17.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Jul 2015 06:35:31 -0500

gdata (2.16.1-2) unstable; urgency=low

  * Rebuilding as pbuilder get persistent size mismatch

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 May 2015 08:59:28 -0500

gdata (2.16.1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 May 2015 21:01:17 -0500

gdata (2.13.3-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 06 Apr 2014 13:36:03 -0500

gdata (2.13.2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Jul 2013 12:20:09 -0500

gdata (2.12.0.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 Apr 2013 19:20:02 -0500

gdata (2.12.0-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Mar 2013 07:30:48 -0500

gdata (2.12.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Sep 2012 16:04:16 -0500

gdata (2.11.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Jun 2012 06:21:43 -0500

gdata (2.10.6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Jun 2012 09:42:30 -0500

gdata (2.10.5-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 Jun 2012 10:54:23 -0500

gdata (2.10.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Jun 2012 07:18:16 -0500

gdata (2.8.2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  
  * debian/control: Package changed to Architecture: all
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Apr 2011 21:29:34 -0500

gdata (2.8.1-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Nov 2010 14:36:59 -0600

gdata (2.8.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 May 2010 15:50:09 -0500

gdata (2.7.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 02 May 2010 21:13:43 -0500

gdata (2.7.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 29 Jan 2010 08:57:12 -0600

gdata (2.7.0-1) unstable; urgency=low

  * New upstream release
  
  * debian/rules: No longer call /usr/share/cdbs/1/rules/dpatch.mk
  * debian/control: No longer use Build-Depends: on dpatch
  * debian/control: Package changed to Architecture: any

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Jan 2010 20:07:26 -0600

gdata (2.6.1-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Nov 2009 15:59:19 -0600

gdata (2.6.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 20 Aug 2009 23:56:47 -0500

gdata (2.6.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version


=== debian/control ===
Source: gdata
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-gtools
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-gdata
Vcs-Git: https://salsa.debian.org/edd/r-cran-gdata.git
Homepage: https://cran.r-project.org/package=gdata

Package: r-cran-gdata
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-cran-gtools
Replaces: r-cran-gregmisc (<= 2.0.7-1)
Description: GNU R package with data manipulation tools by Greg Warnes et al
 This package of R programming tools was written by Gregory Warnes 
 with code contributions by Ben Bolker and Thomas Lumley.
 .
 This package used to be part of the gregmisc bundle packaged for Debian
 as r-cran-gregmisc.

## gdata 2.18.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Depends: R (>= 2.3.0)
 SystemRequirements: perl (>= 5.10.0)
 Imports: gtools, stats, methods, utils
-Version: 2.18.0
+Version: 2.18.0.1
 Date: 2017-06-05
 Author: Gregory R. Warnes, Ben Bolker, Gregor Gorjanc, Gabor
         Grothendieck, Ales Korosec, Thomas Lumley, Don MacQueen, Arni
@@ -32,6 +32,6 @@
 License: GPL-2
 NeedsCompilation: no
 Suggests: RUnit
-Packaged: 2017-06-05 21:27:42 UTC; gwarnes
+Packaged: 2022-05-10 12:33:07 UTC; ripley
 Repository: CRAN
-Date/Publication: 2017-06-06 15:34:19 UTC
+Date/Publication: 2022-05-10 16:42:52

=== debian/changelog ===
gdata (2.18.0.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 May 2022 13:15:26 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-gtools
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.0), dh-r, r-cran-gtools
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gdata
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gdata.git
 Homepage: https://cran.r-project.org/package=gdata

## gdata 2.19.0

=== DESCRIPTION ===
Package: gdata
Version: 2.19.0
Date: 2023-05-06
Title: Various R Programming Tools for Data Manipulation
Authors@R: c(person(c("Gregory", "R."), "Warnes", role="aut", email="greg@warnes.net"),
             person("Gregor", "Gorjanc", role="aut"),
             person("Arni", "Magnusson", role=c("aut","cre"), email="thisisarni@gmail.com"),
             person("Liviu", "Andronic", role="aut"),
             person("Jim", "Rogers", role="aut"),
             person("Don", "MacQueen", role="aut"),
             person("Ales", "Korosec", role="aut"),
             person("Ben", "Bolker", role="ctb"),
             person("Michael", "Chirico", role="ctb"),
             person("Gabor", "Grothendieck", role="ctb"),
             person("Thomas", "Lumley", role="ctb"),
             person("Brian", "Ripley", role="ctb"),
             person("inoui llc", role="fnd"))
Depends: R (>= 2.3.0)
Imports: gtools, methods, stats, utils
Suggests: RUnit
SystemRequirements: perl (>= 5.10.0)
Description: Various R programming tools for data manipulation, including
  medical unit conversions, combining objects, character vector operations,
  factor manipulation, obtaining information about R objects, manipulating
  MS-Excel formatted files, generating fixed-width format files, extracting
  components of date & time objects, operations on columns of data frames,
  matrix operations, operations on vectors, operations on data frames, value of
  last evaluated expression, and a resample() wrapper for sample() that ensures
  consistent behavior for both scalar and vector arguments.
License: GPL-2
URL: https://github.com/r-gregmisc/gdata
BugReports: https://github.com/r-gregmisc/gdata/issues
NeedsCompilation: no
Packaged: 2023-05-05 16:55:19 UTC; arnim
Author: Gregory R. Warnes [aut],
  Gregor Gorjanc [aut],
  Arni Magnusson [aut, cre],
  Liviu Andronic [aut],
  Jim Rogers [aut],
  Don MacQueen [aut],
  Ales Korosec [aut],
  Ben Bolker [ctb],
  Michael Chirico [ctb],
  Gabor Grothendieck [ctb],
  Thomas Lumley [ctb],
  Brian Ripley [ctb],
  inoui llc [fnd]
Maintainer: Arni Magnusson <thisisarni@gmail.com>
Repository: CRAN
Date/Publication: 2023-05-05 23:00:02 UTC

=== debian/changelog ===
gdata (2.19.0-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Jun 2023 06:14:41 -0500

gdata (2.19.0-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 May 2023 09:27:20 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.0), dh-r, r-cran-gtools
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r, r-cran-gtools
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gdata
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gdata.git
 Homepage: https://cran.r-project.org/package=gdata

## gdata 3.0.0

=== DESCRIPTION ===
Package: gdata
Version: 3.0.0
Date: 2023-10-09
Title: Various R Programming Tools for Data Manipulation
Authors@R: c(person(c("Gregory", "R."), "Warnes", role="aut", email="greg@warnes.net"),
             person("Gregor", "Gorjanc", role="aut"),
             person("Arni", "Magnusson", role=c("aut","cre"), email="thisisarni@gmail.com"),
             person("Liviu", "Andronic", role="aut"),
             person("Jim", "Rogers", role="aut"),
             person("Don", "MacQueen", role="aut"),
             person("Ales", "Korosec", role="aut"),
             person("Ben", "Bolker", role="ctb"),
             person("Michael", "Chirico", role="ctb"),
             person("Gabor", "Grothendieck", role="ctb"),
             person("Thomas", "Lumley", role="ctb"),
             person("Brian", "Ripley", role="ctb"),
             person("inoui llc", role="fnd"))
Imports: gtools, methods, stats, utils
Suggests: RUnit
Description: Various R programming tools for data manipulation, including
  medical unit conversions, combining objects, character vector operations,
  factor manipulation, obtaining information about R objects, generating
  fixed-width format files, extracting components of date & time objects,
  operations on columns of data frames, matrix operations, operations on
  vectors, operations on data frames, value of last evaluated expression, and a
  resample() wrapper for sample() that ensures consistent behavior for both
  scalar and vector arguments.
License: GPL-2
URL: https://github.com/r-gregmisc/gdata
BugReports: https://github.com/r-gregmisc/gdata/issues
NeedsCompilation: no
Packaged: 2023-10-09 15:07:28 UTC; arnim
Author: Gregory R. Warnes [aut],
  Gregor Gorjanc [aut],
  Arni Magnusson [aut, cre],
  Liviu Andronic [aut],
  Jim Rogers [aut],
  Don MacQueen [aut],
  Ales Korosec [aut],
  Ben Bolker [ctb],
  Michael Chirico [ctb],
  Gabor Grothendieck [ctb],
  Thomas Lumley [ctb],
  Brian Ripley [ctb],
  inoui llc [fnd]
Maintainer: Arni Magnusson <thisisarni@gmail.com>
Repository: CRAN
Date/Publication: 2023-10-16 19:30:14 UTC

=== tests/unitTests/Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 TOP=../..
 PKG=${shell cd ${TOP};pwd}
 SUITE=runRUnitTests.R
-R=R
 
 test: # Run unit tests
-	${R} --vanilla --slave < ${SUITE}
+	Rscript ${SUITE}
 
 all: inst test

=== debian/changelog ===
gdata (3.0.0-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 Oct 2023 08:36:56 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r, r-cran-gtools
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r, r-cran-gtools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gdata
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gdata.git

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/gdata_([\d.-]*)\.tar.gz

## gdata 3.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gdata
-Version: 3.0.0
-Date: 2023-10-09
+Version: 3.0.1
+Date: 2024-10-22
 Title: Various R Programming Tools for Data Manipulation
 Authors@R: c(person(c("Gregory", "R."), "Warnes", role="aut", email="greg@warnes.net"),
              person("Gregor", "Gorjanc", role="aut"),
@@ -25,11 +25,11 @@
   vectors, operations on data frames, value of last evaluated expression, and a
   resample() wrapper for sample() that ensures consistent behavior for both
   scalar and vector arguments.
-License: GPL-2
+License: GPL-3
 URL: https://github.com/r-gregmisc/gdata
 BugReports: https://github.com/r-gregmisc/gdata/issues
 NeedsCompilation: no
-Packaged: 2023-10-09 15:07:28 UTC; arnim
+Packaged: 2024-10-22 03:06:44 UTC; arnim
 Author: Gregory R. Warnes [aut],
   Gregor Gorjanc [aut],
   Arni Magnusson [aut, cre],
@@ -45,4 +45,4 @@
   inoui llc [fnd]
 Maintainer: Arni Magnusson <thisisarni@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-10-16 19:30:14 UTC
+Date/Publication: 2024-10-22 04:30:02 UTC

=== debian/changelog ===
gdata (3.0.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Oct 2024 07:30:34 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r, r-cran-gtools
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r, r-cran-gtools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gdata
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gdata.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-gdata package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R
